IRPCVaultAdmin.ArchiveDocuments

View as Markdown

Administration API / specialized admin session

Exports (archives) the objects that match a filter into an archive package, or previews how many would be archived.

ServiceVault administration MFiles.IRPCVaultAdmin
gRPC method/MFiles.IRPCVaultAdmin/ArchiveDocuments
HTTP (mf-http-grpc)POST /grpc/v1/archive-documents
RequestArchiveDocumentsRequest
ResponseArchiveDocumentsResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: ArchiveDocumentsRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
preview_onlyboolTrue to only count what would be archived; the destination in the job is then ignored and nothing changes. False to start the archiving job.
archive_jobArchiveDocsJobThe objects to archive (object_filter), the destination and the options.
archive_job.target_pathstringFull path to the target file on server.
archive_job.impersonationImpersonationImpersonation information for accessing the archive target files on server.
archive_job.impersonation.typeImpersonationTypeImpersonation type.Values: IMPERSONATION_TYPE_SYSTEM_ACCOUNT (0), IMPERSONATION_TYPE_LOCAL_WINDOWS_ACCOUNT (1), IMPERSONATION_TYPE_EXTERNAL_ACCOUNT (2).
archive_job.impersonation.accountstringAccount name (e.g. DOMAIN\user).
archive_job.impersonation.encrypted_passwordbytesEncrypted password.
archive_job.optionsOBJARCHIVINGFLAGSBit flags that control the execution of this archiving job.
archive_job.options.allboolSpecifies all flags set; Including any future flags.
archive_job.options.overwrite_existing_filesboolIf present, existing target files are overwritten. If not present, job fails if a target file already exists.
archive_job.options.archive_latest_version_onlyboolIf present, only the latest version is archived.
archive_job.options.destroy_archived_objectsboolIf present and archiving full objects, the archived objects are destroyed.
archive_job.options.reset_marked_for_archivingboolIf present, the 'Marked for archiving' property is reset upon archiving.
archive_job.options.archive_data_filesboolIf present, data files are archived instead of document files.
archive_job.options.create_archive_pdfsboolIf present, files are also saved as PDF/A.
archive_job.options.archive_destroyed_objectsboolIf present, destroyed objects are archived.
archive_job.options.target_path_is_directoryboolIf present, archive location represents a directory.
archive_job.options.ignore_last_run_timestampboolIf present, delta timestamp is not applied (even if provided as non-FILETIME_ZERO).
archive_job.options.ignore_search_conditionsboolIf present, search filter is not applied (even if provided).
archive_job.options.export_drop_out_informationboolIf present, dropout information is exported if a previously exported object is not anymore part of the export set.
archive_job.options.export_contentboolIf present, vault content will be exported.
archive_job.options.export_structureboolIf present, vault metadata structure will be exported.
archive_job.options.export_value_list_valuesboolIf present, values of the selected values lists will be exported.
archive_job.options.export_private_view_settingsboolIf present, private settings of the selected views will be exported.
archive_job.options.export_migrated_as_internalboolIf present, migrated objects will be exported as internal objects without <externalrepository> element.
archive_job.options.export_workspace_tabsboolIf present, workspace tabs will be exported.
archive_job.object_filterSearchConditionArrayThe conditions that limit the object set of this archiving job.
archive_job.object_filter.value[]repeated SearchConditionThe conditions. All of them must match.
archive_job.last_run_timestamp_utcgoogle.protobuf.TimestampIf indicated by OBJARCHIVINGFLAG_DELTA, only changes newer than this timestamp are archived. In UTC.
archive_job.structure_items[]repeated ExportStructureItemThe metadata structure items which will be exported.
archive_job.structure_items[].typeMetadataStructureItemMetadata structure item type.
archive_job.structure_items[].group_selectionStructureItemGroupThe group selection inside of an item type
archive_job.structure_items[].idint32Metadata structure item ID. This is used if the group selection is not used. Otherwise it is MFBuiltInMetadataStructureItemIDAll. Should be used if guid is GUID_NULL.
archive_job.structure_items[].guidstringMetadata structure item GUID. If not GUID_NULL, should be used instead of lID. This is used e.g. with event handler items.
archive_job.cloud_storage_connection_stringstringFull path to the target file on server.
archive_job.cloud_storage_passwordstringFull path to the target file on server.
archive_job.configuration_idstringConfiguration id of this archiving job.

Response: ArchiveDocumentsResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
task_idint32The ID of the vault's archiving job when preview_only is false.
archive_jobs_infoArchiveDocsJobOutputInfoThe preview result when preview_only is true: the number of objects and bytes.
archive_jobs_info.objectsuint32The number of archived documents.
archive_jobs_info.bytesint64The amount of archived bytes.